
bview_set_colour(blockname:val(string),
                 colour:val(string)):expr(void)=(
  newstringvalparam(blockname);
  newstringvalparam(colour);
  tcl_cmd_noerr("bview_set_colour "@blockname@" "@colour);
  endstringvalparam(blockname);
  endstringvalparam(colour)
).

bview_colour:var(int).
bview_colours:var(int).
bview_colour_list:var(string^6).

next_bview_colour:expr(int)=(
  bview_colour:=(bview_colour+1) mod bview_colours;
  bview_colour
).

active_block(blockname:val(string),
             colour:val(int),
             body:expr(void)):expr(void)=(
  newstringvalparam(blockname);
  bview_set_colour(blockname,bview_colour_list[colour]);
  body;
  bview_set_colour(blockname,"white");
  endstringvalparam(blockname)
).

bview_colours:=6;
(i:var(int).
  forseq i in 0 to 5 do newstringvar(bview_colour_list[i])
);
bview_colour_list:=["red","orange","yellow","green","blue","violet"]
