
use(io).

mem:var(int^100).  /* word-indexed memory array */

varaddr(v:var(T:type)):expr(int).
  /* Return the address of the start of the storage for variable v.
     Implemented in icode. */

memstr(mem:var(T:type), i:val(int)) :
       expr(string) = cast(string,varaddr(mem)+i).
  /* i is a byte index into the memory array mem.
     Return the string at that location in the memory. */

null

