
/* stump "world", i.e. instance the processor and memory */

/* channels for interconnection */

iaddr:var(chan(int)).        /* address to instruction memory */
idata:var(chan(int)).        /* data from instruction memory */
daddrctrlstdata:var(chan(daddrctrlstdata_t)).
                             /* address, control and store data to
                                data memory */
dlddata:var(chan(int)).      /* load data from data memory */

init_chan(iaddr,"iaddr");
init_chan(idata,"idata");
init_chan(daddrctrlstdata,"daddrctrlstdata");
init_chan(dlddata,"dlddata");

(
  "stump" is stump(iaddr,idata,daddrctrlstdata,dlddata) |
  "imem"  is imem(iaddr,idata) |
  "dmem"  is dmem(daddrctrlstdata,dlddata)
)
