/*------------------------------------------------------------------------*/
/*                                                                        */
/*                           AMULET3 Thumb decoder                        */
/*                                                                        */
/*                                             Created: JDG  13/1/97      */
/*                                       Last Modified: JDG  26/2/97      */
/*                                                                        */
/*------------------------------------------------------------------------*/
/* Mostly a placeholder                                                   */

(Thumb(In      : var(chan(Instr_pkt_type)),
       Out     : var(chan(Instr_pkt_type2)),
       Dabt_go : var(chan(void))):
       expr(void)=
  (

  latch  : var(Instr_pkt_type).
  output : var(Instr_pkt_type2).

  forever
    (
    In?(latch:=(?In));

    if (latch->PSR_ctrl->Thumb) then
      wait_for(Thumb_on_delay)
    else
      wait_for(Thumb_off_delay);

    if (latch->Dabt_svc) then Dabt_go?null;        /* Input from abort_go */

    output->Op_code   := latch->Op_code;
    output->extension := latch->extension;
    output->LSB       := 0;
    output->special   := false;
    output->Dabt_svc  := latch->Dabt_svc;
    output->PSR_ctrl  := latch->PSR_ctrl;
    output->colour    := latch->colour;
    output->PC        := latch->PC;

    Out!output
    )
  )
).

/*------------------------------------------------------------------------*/

null

/*------------------------------------------------------------------------*/
