/*------------------------------------------------------------------------*/
/*                                                                        */
/*                            AMULET3 Environment                         */
/*                                                                        */
/*                                             Created: JDG 19/12/96      */
/*                                       Last Modified: JDG   6/6/97      */
/*                                                                        */
/*------------------------------------------------------------------------*/
/* To be used for inserting interrupts etc.                               */
/*                                                                        */
/* The "Environment" halts if an instruction fetch has not been attempted */
/* for ~10000 ticks (time in "watchdog").                                 */
/*                                                                        */
/*------------------------------------------------------------------------*/

Environment : expr(void) =                       /* Do nothing at present */
  (

/*- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* Environment initialisation                                             */

  BTC_Enable  := true;                         /* Set up global variables */
  Halt_Enable := false;

  IRQ := false;       
  FIQ := false;
  Run := true;

  while (now<(watchdog+10000)) do (wait_for(1000); null)
  ).

/*------------------------------------------------------------------------*/

null

/*------------------------------------------------------------------------*/
