/*------------------------------------------------------------------------*/
/*                                                                        */
/*                            Thumb disassembler                          */
/*                                                                        */
/*                                             Created: JDG  17/2/97      */
/*                                       Last Modified: JDG   4/6/97      */
/*                                                                        */
/*------------------------------------------------------------------------*/

(
  handle   : var(tfile).
  previous : var(int).
  current  : var(int).
  prob_BL  : var(bool).

  i : var(int).

  handle := topenin("programme");
  i := 0;
  prob_BL := false;

  (while (!eof(handle)) do
    (
    current := freadint(handle);
    Tdisassemble(i,   current,       0);
    if (prob_BL && ((current and 16#0000F800) = 16#0000F800)) then
      (
      printstr("(Target address is ");
      printhex(if ((previous and 16#04000000) = 0) then
                (((previous>>4) and 16#007FF000) or
                 ((current<<1)  and 16#00000FFE)) + i + 2
               else
                (16#FF800000 or
                 ((previous>>4) and 16#007FF000) or
                 ((current<<1)  and 16#00000FFE)) + i + 2
              );
      printstr(")\n")
      );
    prob_BL := ((current and 16#0000F800) = 16#0000F000);

    Tdisassemble(i+2, current >> 16, 0);
    if (prob_BL && ((current and 16#F8000000) = 16#F8000000)) then
      (
      printstr("(Target address is ");
      printhex(if ((current and 16#00000400) = 0) then
                (((current<<12) and 16#007FF000) or
                 ((current>>15) and 16#00000FFE)) + i + 4
               else
                (16#FF800000 or
                 ((current<<12) and 16#007FF000) or
                 ((current>>15) and 16#00000FFE)) + i + 4
              );
      printstr(")\n")
      );
    prob_BL := ((current and 16#F8000000) = 16#F0000000);

    previous := current;

    i := i + 4
    )
  );

  printstr("Finished!\n")
)

/*------------------------------------------------------------------------*/
